# This nginx config should only be used by the Docker Container! 
server {
	listen 80;
	listen [::]:80;
	server_name _ ;
	error_log    off;
	access_log    off;

	charset utf-8;
	charset_types *;

	index index.html index.htm newsletter.html;
	
	root /app/public;

	location = /favicon.ico {
		alias /app/public/static/img/favicon.ico;
	}

	location / {
		autoindex on;
		try_files $uri $uri/ =404;
	}

	location ~ atom-*.xml {
		types { } default_type "application/atom+xml; charset=utf-8";
	}

	# Legacy url scheme
	location ~ ^/([0-9]+)_january(.*)   { return 301 https://$host/$1/01$2; }
	location ~ ^/([0-9]+)_february(.*)  { return 301 https://$host/$1/02$2; }
	location ~ ^/([0-9]+)_march(.*)     { return 301 https://$host/$1/03$2; }
	location ~ ^/([0-9]+)_april(.*)     { return 301 https://$host/$1/04$2; }
	location ~ ^/([0-9]+)_may(.*)       { return 301 https://$host/$1/05$2; }
	location ~ ^/([0-9]+)_june(.*)      { return 301 https://$host/$1/06$2; }
	location ~ ^/([0-9]+)_july(.*)      { return 301 https://$host/$1/07$2; }
	location ~ ^/([0-9]+)_august(.*)    { return 301 https://$host/$1/08$2; }
	location ~ ^/([0-9]+)_september(.*) { return 301 https://$host/$1/09$2; }
	location ~ ^/([0-9]+)_october(.*)   { return 301 https://$host/$1/10$2; }
	location ~ ^/([0-9]+)_november(.*)  { return 301 https://$host/$1/11$2; }
	location ~ ^/([0-9]+)_december(.*)  { return 301 https://$host/$1/12$2; }

	location = /2020_january/ { # wrong link was set in newsletter
		return 301 https://$host/2021/01;
	}
	location = /2020_january { # wrong link was set in newsletter
		return 301 https://$host/2021/01;
	}


}
